import { AfterViewInit, ElementRef, EventEmitter, OnInit, Renderer2 } from '@angular/core';
export declare class QMSBreadcrumbItemDirective implements OnInit, AfterViewInit {
    ele: ElementRef;
    private renderer;
    isLastItem: boolean;
    showTooltip: boolean;
    showTooltipChange: EventEmitter<any>;
    breadcrumbItemText: ElementRef;
    constructor(ele: ElementRef, renderer: Renderer2);
    ngAfterViewInit(): void;
    ngOnChanges(): void;
    ngOnInit(): void;
}
